<script setup lang="ts">
import { useGameStore } from '../stores/gameStore';
import SdgButton from './SdgButton.vue';
const gameStore = useGameStore();
</script>

<template>
  <header class="w-full p-6 align-middle bg-sdg-background-blue">
    <div class="mb-2 text-3xl text-center text-white" style="position: relative">
      <span v-if="gameStore.loaded" style="position: absolute; right: 20px">
        <span class="ml-4 text-sm"
          ><SdgButton color="bg-slate-500"><router-link to="/CashIn">Cash In!</router-link></SdgButton></span
        >
        <span class="ml-4 text-sm"
          ><SdgButton color="bg-slate-500"><router-link to="/EditYourProfile">Update Your Profile</router-link></SdgButton></span
        >
      </span>
      <span v-if="gameStore.loaded" style="position: absolute; left: 20px">
        <span class="ml-4 text-sm"
          ><SdgButton color="bg-slate-500"><router-link to="/LeaderBoard">LeaderBoard</router-link></SdgButton></span
        >
        <span class="ml-4 text-sm"
          ><SdgButton color="bg-slate-500"><router-link to="Directory">Directory</router-link></SdgButton></span
        >
        <span class="ml-4 text-sm"
          ><SdgButton color="bg-slate-500"><router-link to="/Invite">Invite</router-link></SdgButton></span
        >
      </span>
      <span><router-link to="/Panel">sdg people!</router-link></span>
    </div>
    <div class="text-lg text-center text-white">
      <span class="mr-8">Your Score: {{ gameStore.points }}</span>
    </div>
  </header>
</template>
